diff --git a/scripts/build.sh b/scripts/build.sh
index c43f60bcd5d8a496a4f630ee57b283a120763488..9d6a9736503df7a9073e68a96c248e7084bd6b68 100755
--- a/scripts/build.sh
+++ b/scripts/build.sh
@@ -9,8 +9,8 @@ make)
     cd arch/linux
     if [[ ! -f "cesium-desktop-v$TAG-linux-x64.deb" ]]; then
       [[ $? -eq 0 ]] && echo ">> Copying Cesium Desktop sources..."
-      [[ $? -eq 0 ]] && cp ../../src/* ./
-      [[ $? -eq 0 ]] && cp ../../LICENSE ./LICENSE.txt
+      [[ $? -eq 0 ]] && cp -f ../../src/* ./
+      [[ $? -eq 0 ]] && cp -f ../../LICENSE ./LICENSE.txt
       [[ $? -eq 0 ]] && echo ">> Starting Vagrant Ubuntu VM..."
       [[ $? -eq 0 ]] && vagrant up
       [[ $? -eq 0 ]] && echo ">> VM: building Cesium..."
@@ -31,8 +31,8 @@ make)
     cd arch/windows
     if [[ ! -f "cesium-desktop-v$TAG-windows-x64.exe" ]]; then
       [[ $? -eq 0 ]] && echo ">> Copying Cesium Desktop sources..."
-      [[ $? -eq 0 ]] && cp ../../src/* ./
-      [[ $? -eq 0 ]] && cp ../../LICENSE ./LICENSE.txt
+      [[ $? -eq 0 ]] && cp -f ../../src/* ./
+      [[ $? -eq 0 ]] && cp -f ../../LICENSE ./LICENSE.txt
       # Win build need a copy of the web asset (download in build.bat failed)
       [[ $? -eq 0 ]] && cp "../../downloads/cesium-v$TAG-web.zip" ./
       # Download box locally
@@ -56,8 +56,8 @@ make)
     cd arch/osx
     if [[ ! -f "cesium-desktop-v$TAG-osx-x64.zip" ]]; then
       [[ $? -eq 0 ]] && echo ">> Copying Cesium Desktop sources..."
-      [[ $? -eq 0 ]] && cp ../../src/* ./
-      [[ $? -eq 0 ]] && cp ../../LICENSE ./LICENSE.txt
+      [[ $? -eq 0 ]] && cp -f ../../src/* ./
+      [[ $? -eq 0 ]] && cp -f ../../LICENSE ./LICENSE.txt
       # Copy web asset (download in build-osx.sh failed)
       [[ $? -eq 0 ]] && cp "../../downloads/cesium-v$TAG-web.zip" ./
       # Download box locally
@@ -90,8 +90,8 @@ make)
     cd arch/osx
     if [[ ! -f "cesium-v$TAG-ios.zip" ]]; then
       [[ $? -eq 0 ]] && echo ">> Copying Cesium Desktop sources..."
-      [[ $? -eq 0 ]] && cp ../../src/* ./
-      [[ $? -eq 0 ]] && cp ../../LICENSE ./LICENSE.txt
+      [[ $? -eq 0 ]] && cp -f ../../src/* ./
+      [[ $? -eq 0 ]] && cp -f ../../LICENSE ./LICENSE.txt
       [[ $? -eq 0 ]] && echo ">> Starting Vagrant OSx VM..."
       [[ $? -eq 0 ]] && vagrant up --provision
       [[ $? -eq 0 ]] && echo ">> Building Cesium for iOS..."
diff --git a/src/cesium-desktop.js b/src/cesium-desktop.js
index 68787e56a41425e96e8bc2f4f8deca231b4a83a2..37c964fe637e1f6b928a66b094bf1aab19c446a9 100644
--- a/src/cesium-desktop.js
+++ b/src/cesium-desktop.js
@@ -508,6 +508,8 @@ function openNewWindow(options, callback) {
 }
 
 function openMainWindow(options, callback) {
+  console.info("[desktop] Starting main window...");
+
   openNewWindow({
     id: APP_ID,
     ...options
@@ -539,16 +541,13 @@ function startApp(options) {
 
     console.info("[desktop] User home:  ", options.home);
     console.info("[desktop] User locale:", options.locale);
+    console.info("[desktop] Has splash screen? " + HAS_SPLASH_SCREEN);
 
     prepareSettings(options);
 
-    console.info("[desktop] HAS_SPLASH_SCREEN=" + HAS_SPLASH_SCREEN);
-
     // If app was started using the splash screen, launch the main window
     if (HAS_SPLASH_SCREEN === true) {
 
-      console.info("[desktop] Will start main scree");
-
       openMainWindow(options);
 
       // Close the splash screen, after 1s